/* eslint-disable max-len */
import React, { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

export const GarantIcon = ({ color, width = "26px", height = "21px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        style={{ width: width, height: height }}
        className={styles[`icon_color-${color}`]}
        viewBox="0 0 26 21"
        fill="none"
        {...restProps}
        xmlns="http://www.w3.org/2000/svg"
    >
        <path
            fill={fill}
            d="M6.125 5.5C6.125 6.63281 6.71094 7.64844 7.6875 8.23438C8.625 8.78125 9.83594 8.78125 10.8125 8.23438C11.75 7.64844 12.375 6.63281 12.375 5.5C12.375 4.40625 11.75 3.39062 10.8125 2.80469C9.83594 2.25781 8.625 2.25781 7.6875 2.80469C6.71094 3.39062 6.125 4.40625 6.125 5.5ZM14.25 5.5C14.25 7.29688 13.2734 8.9375 11.75 9.83594C10.1875 10.7344 8.27344 10.7344 6.75 9.83594C5.1875 8.9375 4.25 7.29688 4.25 5.5C4.25 3.74219 5.1875 2.10156 6.75 1.20312C8.27344 0.304688 10.1875 0.304688 11.75 1.20312C13.2734 2.10156 14.25 3.74219 14.25 5.5ZM2.41406 18.625H16.0469C16.0469 18.5078 16.0078 18.3906 15.9688 18.2344L17.7656 20.0312C17.5703 20.3438 17.2188 20.5 16.8281 20.5H1.63281C1.00781 20.5 0.5 19.9922 0.5 19.3672C0.5 15.5 3.58594 12.375 7.45312 12.375H11.0078C11.7109 12.375 12.375 12.4922 13 12.6875V13.9766C13 14.2109 13 14.4453 13.0781 14.6797C12.4531 14.4062 11.75 14.25 11.0078 14.25H7.45312C4.875 14.25 2.76562 16.1641 2.41406 18.625ZM15.5 9.25H18.7031C19.3672 9.25 20.0312 9.52344 20.5 9.99219L24.6797 14.1719C25.4219 14.9141 25.4219 16.125 24.6797 16.8281L21.8281 19.7188C21.0859 20.4219 19.875 20.4219 19.1719 19.7188L14.9531 15.5C14.4844 15.0312 14.25 14.4062 14.25 13.7422V10.5C14.25 9.83594 14.7969 9.25 15.5 9.25ZM16.4375 12.375C16.4375 12.9219 16.8281 13.3125 17.375 13.3125C17.8828 13.3125 18.3125 12.9219 18.3125 12.375C18.3125 11.8672 17.8828 11.4375 17.375 11.4375C16.8281 11.4375 16.4375 11.8672 16.4375 12.375Z"
        />
    </svg>
);
